# chrcvt65 Users Guide

## Stefan A. Haubenthal

chrcvt65 is the vector font converter. It is able to convert a foreign font into the native format.

## 1. Overview

## 2. Usage

- 2.1 Command line option overview
- 2.2 Command line options in detail

## 3. Input and output

## 4. Copyright

## 1. Overview

chrcvt65 is a vector font converter. It is able to convert a "BGI Stroked Font" to a compact TGI native vector font. See the function tgi_load_vectorfont for usage.

## 2. Usage

The chrcvt65 utility converts the font of one Borland file to its cc65 equivalent.

## 2.1 Command line option overview

The program may be called as follows:

> `

>     ---------------------------------------------------------------------------
>     Usage: chrcvt65 [options] file [options] [file]
>     Short options:
>       -h                    Help (this text)
>       -v                    Be more verbose
>       -V                    Print the version number and exit

>     Long options:
>       --help                Help (this text)
>       --verbose             Be more verbose
>       --version             Print the version number and exit
>     ---------------------------------------------------------------------------

> `

## 2.2 Command line options in detail

Here is a description of all the command line options:

`-v, --verbose`

  Increase the converter verbosity.

`-h, --help`

  Print the short option summary shown above.

`-V, --version`

  Print the version number of the utility. When submitting a bug report, please include the operating system you're using, and the compiler version.

## 3. Input and output

The converter will read one CHR file per invocation and write the font in TCH format to a new file.

Example output for the command

> `

>     chrcvt65 --verbose LITT.CHR

> `

> `

>     BGI Stroked Font V1.1 - Aug 12, 1991
>     Copyright (c) 1987,1988 Borland International

> `

## 4. Copyright

chrcvt65 is (C) Copyright 2009, Ullrich von Bassewitz. For usage of the binaries and/or sources the following conditions apply:

This software is provided 'as-is', without any expressed or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.